function display(pengrid)
%DISPLAY - displays the fields of a pengrid element
%
%   a pengrid element is a penalty applied on a grid
%
%   echo function for 'pengrid' class

disp(sprintf('\n%s = \n',inputname(1)));
disp(sprintf('   id: %i',pengrid.id));
disp(sprintf('   dof: %i',pengrid.dof));
disp(sprintf('   grid: %i',pengrid.grid));
disp(sprintf('   active: %g',pengrid.active));
disp(sprintf('   penalty_offset: %g',pengrid.penalty_offset));
disp(sprintf('   thermal_steadystate: %i',pengrid.thermal_steadystate));
